WPSParser Class Reference documentation

Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
WPSParser Class Referenceabstract

`#include <WPSParser.h>`

Inheritance diagram for WPSParser:

## Public Types
typedef std::multimap< std::string, WPSEntry > | NameMultiMap
| a map to retrieve a file entry by name More...

## Public Member Functions
| WPSParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WPSParser ()
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0

## Protected Member Functions
RVNGInputStreamPtr & | getInput ()
RVNGInputStreamPtr | getFileInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...
NameMultiMap & | getNameEntryMap ()
NameMultiMap const & | getNameEntryMap () const

## Private Member Functions
| WPSParser (const WPSParser &)
WPSParser & | operator= (const WPSParser &)

## Private Attributes
RVNGInputStreamPtr | m_input
WPSHeaderPtr | m_header
int | m_version
libwps::DebugFile | m_asciiFile
| the debug file More...
NameMultiMap | m_nameMultiMap
| a map to retrieve a file entry by name More...

## Friends
class | WPSTextParser

## Member Typedef Documentation

## ◆ NameMultiMap

typedef std::multimap<std::string, WPSEntry> WPSParser::NameMultiMap

a map to retrieve a file entry by name

## Constructor & Destructor Documentation

## ◆ WPSParser() [1/2]

WPSParser::WPSParser | ( | RVNGInputStreamPtr & | input,
|  | WPSHeaderPtr & | header
| ) |  |

Referenced by getNameEntryMap().

## ◆ ~WPSParser()

WPSParser::~WPSParser | ( |  | ) |
| virtual

## ◆ WPSParser() [2/2]

WPSParser::WPSParser | ( | const WPSParser & |  | ) |
| explicitprivate

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile& WPSParser::ascii | ( |  | ) |
| inlineprotected

a DebugFile used to write what we recognize when we parse the document

Referenced by WPS8Parser::createStructures(), WPS4Parser::findZones(), WPS4Parser::parse(), WPS8Parser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS4Parser::readPrnt(), WPS8Parser::readSYID(), and WPS8Parser::readWNPR().

## ◆ getFileInput()

RVNGInputStreamPtr WPSParser::getFileInput | ( |  | ) |
| protected

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), and getInput().

## ◆ getHeader()

WPSHeaderPtr& WPSParser::getHeader | ( |  | ) |
| inlineprotected

## ◆ getInput()

RVNGInputStreamPtr& WPSParser::getInput | ( |  | ) |
| inlineprotected

Referenced by WPS4Parser::checkFilePosition(), DosWordParser::checkHeader(), WPS4Parser::checkHeader(), WPS8Parser::checkInFile(), WPS4Parser::createDocument(), WPS8Parser::createListener(), WPS4Parser::createListener(), WPS4Parser::createNote(), WPS8Parser::createStructures(), WPS4Parser::createTextBox(), WPS4Parser::findZones(), DosWordParser::getFileEncoding(), MSWriteParser::getHeaderFooters(), MSWriteParser::insertNote(), WPS4Parser::parse(), WPS8Parser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), MSWriteParser::processDDB(), MSWriteParser::processDIB(), MSWriteParser::processEmbeddedOLE(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), MSWriteParser::processWMF(), DosWordParser::readCHP(), MSWriteParser::readCHP(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), MSWriteParser::readFFNTB(), MSWriteParser::readFIB(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), DosWordParser::readPAP(), MSWriteParser::readPAP(), WPS4Parser::readPrnt(), DosWordParser::readSECT(), DosWordParser::readSED(), MSWriteParser::readSED(), MSWriteParser::readString(), MSWriteParser::readStructures(), DosWordParser::readSUMD(), WPS8Parser::readSYID(), MSWriteParser::readText(), WPS8Parser::readWNPR(), WPS8Parser::send(), WPS4Parser::send(), WPS8Parser::sendPageFrames(), WPS8Parser::sendTextBox(), and WPS8Parser::sendTextInCell().

## ◆ getNameEntryMap() [1/2]

NameMultiMap& WPSParser::getNameEntryMap | ( |  | ) |
| inlineprotected

Referenced by WPS8Parser::createStructures(), WPS4Parser::createStructures(), WPS4Parser::findZones(), WPSTextParser::getNameEntryMap(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Table::readStructures(), and WPS8Graph::readStructures().

## ◆ getNameEntryMap() [2/2]

NameMultiMap const& WPSParser::getNameEntryMap | ( |  | ) | const
| inlineprotected

## ◆ operator=()

WPSParser& WPSParser::operator= | ( | const WPSParser & |  | ) |
| private

Referenced by WPS8Table::ascii(), WPS4Graph::ascii(), WPS8Graph::ascii(), and getNameEntryMap().

## ◆ parse()

virtual void WPSParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

Implemented in MSWriteParser, WPS8Parser, and WPS4Parser.

## ◆ setVersion()

void WPSParser::setVersion | ( | int | vers | ) |
| inlineprotected

Referenced by WPS4Parser::findZones(), and WPS8Parser::WPS8Parser().

## ◆ version()

int WPSParser::version | ( |  | ) | const
| inlineprotected

Referenced by WPS4Parser::findZones(), WPS4Parser::getDefaultFontType(), WPS8Graph::setListener(), WPS4Graph::setListener(), WPS8Table::setListener(), WPSTextParser::version(), WPS4Graph::version(), WPS8Graph::version(), WPS8Table::version(), and WPS8Parser::WPS8Parser().

## Friends And Related Function Documentation

## ◆ WPSTextParser

friend class WPSTextParser
| friend

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile WPSParser::m_asciiFile
| private

the debug file

Referenced by ascii(), WPS8Table::ascii(), WPS4Graph::ascii(), and WPS8Graph::ascii().

## ◆ m_header

WPSHeaderPtr WPSParser::m_header
| private

Referenced by getFileInput(), and getHeader().

## ◆ m_input

RVNGInputStreamPtr WPSParser::m_input
| private

Referenced by getInput().

## ◆ m_nameMultiMap

NameMultiMap WPSParser::m_nameMultiMap
| private

a map to retrieve a file entry by name

Referenced by getNameEntryMap().

## ◆ m_version

int WPSParser::m_version
| private

Referenced by setVersion(), version(), and WPSParser().

The documentation for this class was generated from the following files:

- WPSParser.h
- WPSParser.cpp